Last Comment Bug 634581 - [Windows SeaMonkey (and Firefox)] reftest: permanent "TEST-UNEXPECTED-PASS | file:///e:/builds/slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)" after bug 632781
: [Windows SeaMonkey (and Firefox)] reftest: permanent "TEST-UNEXPECTED-PASS | ...
Status: VERIFIED FIXED
[fixed by bug 649924] [perma-orange]
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- major (vote)
: ---
Assigned To: Boris Zbarsky [:bz] (Out June 25-July 6)
:
Mentors:
Depends on: 628589 649924
Blocks: SmTestFail 632781 633047
  Show dependency treegraph
 
Reported: 2011-02-16 06:10 PST by Serge Gautherie (:sgautherie)
Modified: 2011-11-10 07:36 PST (History)
6 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Serge Gautherie (:sgautherie) 2011-02-16 06:10:13 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1297823917.1297826844.11829.gz
WINNT 5.2 comm-central-trunk debug test reftest on 2011/02/15 18:38:37
{
REFTEST TEST-UNEXPECTED-PASS | file:///e:/builds/slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
}

Regression timeframe:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=796db5299d3d&tochange=eeb1dd9e7028
"Disable the test for bug 632781 for all Windows platforms because apparently layersGPUAccelerated is not what we expect it to be on Windows XP"

NB: Yet another (graphics) bug due to Firefox and SeaMonkey test builders differences not accounted for...
Comment 1 :Ehsan Akhgari (out sick) 2011-02-16 11:19:00 PST
So, do the SeaMonkey tinderbox machine have hw accel enabled or disabled?
Comment 2 Serge Gautherie (:sgautherie) 2011-02-17 06:52:13 PST
(In reply to comment #1)
> do the SeaMonkey tinderbox machine have hw accel enabled or disabled?

Windows (at least) SeaMonkey boxes don't have acceleration atm: see bug 628589.
Comment 3 Serge Gautherie (:sgautherie) 2011-04-14 14:48:11 PDT
By chance, I noticed that Firefox (silently) has this bug too:

http://tbpl.mozilla.org/?tree=MozillaTry&rev=e6d22b368e6b&noignore=1
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1302805827.1302808177.5132.gz
Rev3 WINNT 6.1 tryserver opt test reftest-no-accel on 2011/04/14 11:30:27
{
...
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
...
reftest-no-d2d-d3d: 5866/13/248
}

Could the test conditions be fixed or the test be disabled until it fully succeeds?
Comment 4 :Ehsan Akhgari (out sick) 2011-04-14 20:55:39 PDT
The graphics team should get back to you on how best to address this issue.  I don't know a lot about this code.
Comment 5 Joe Drew (not getting mail) 2011-04-20 13:22:53 PDT
reftest-no-d2d-d3d is a different test machine with all acceleration disabled, aka "the same as seamonkey."

You could disable the test for now, or investigate why layersGPUAccelerated is not set correctly on Windows XP.
Comment 6 Treeherder Robot 2011-04-27 05:38:37 PDT
edmorley
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1303902703.1303904504.32585.gz
Rev3 WINNT 6.1 try opt test reftest-no-accel on 2011/04/27 04:11:43

s: talos-r3-w7-046
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02-j.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/322436-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/362901-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/413982.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/476856-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/574907-3.html | image comparison (!=)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/counters/text-boundaries-subpixel.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/display-types-01.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/quotes-001.xml | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/font-features/font-features-turkish.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01a.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01b.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01c.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01d.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/subpixel-glyphs-x-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/zwnj-01.xhtml | image comparison (==)
Comment 7 Treeherder Robot 2011-04-27 05:40:32 PDT
edmorley
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1303898997.1303900787.8708.gz
Rev3 WINNT 6.1 try opt test reftest-no-accel on 2011/04/27 03:09:57

s: talos-r3-w7-020
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02-j.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/322436-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/362901-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/413982.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/476856-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/574907-3.html | image comparison (!=)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/counters/text-boundaries-subpixel.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/display-types-01.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/quotes-001.xml | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/font-features/font-features-turkish.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01a.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01b.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01c.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01d.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/subpixel-glyphs-x-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/zwnj-01.xhtml | image comparison (==)
Comment 8 Treeherder Robot 2011-04-28 05:20:04 PDT
edmorley
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1303974142.1303976026.20022.gz
Rev3 WINNT 6.1 try opt test reftest-no-accel on 2011/04/28 00:02:22

s: talos-r3-w7-047
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02-j.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/322436-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/362901-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/413982.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/476856-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/574907-3.html | image comparison (!=)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/counters/text-boundaries-subpixel.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/display-types-01.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/quotes-001.xml | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/font-features/font-features-turkish.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01a.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01b.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01c.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01d.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/subpixel-glyphs-x-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/zwnj-01.xhtml | image comparison (==)
Comment 9 Treeherder Robot 2011-04-28 05:22:51 PDT
edmorley
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1303990727.1303992457.26849.gz
Rev3 WINNT 6.1 try opt test reftest-no-accel on 2011/04/28 04:38:47

s: talos-r3-w7-039
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/mixedChartype-02-j.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/322436-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/362901-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/413982.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/476856-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/574907-3.html | image comparison (!=)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/counters/text-boundaries-subpixel.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/display-types-01.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/generated-content/quotes-001.xml | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/font-features/font-features-turkish.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01a.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01b.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01c.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/gradient-live-01d.svg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/subpixel-glyphs-x-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/text/zwnj-01.xhtml | image comparison (==)
Comment 10 Treeherder Robot 2011-11-09 16:17:55 PST
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7317952&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test reftest on 2011-11-09 15:16:15

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
Comment 11 Treeherder Robot 2011-11-09 16:18:06 PST
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7315971&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test reftest on 2011-11-09 13:45:51

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
Comment 12 Phil Ringnalda (:philor) 2011-11-09 17:37:45 PST
You can't be having an unexpected-pass anymore, since it's no longer fails-if(winWidget).
Comment 13 Serge Gautherie (:sgautherie) 2011-11-10 01:01:48 PST
(In reply to TinderboxPushlog Robot from comment #10)
> bill%wg9s.com
> REFTEST TEST-UNEXPECTED-FAIL |

(In reply to TinderboxPushlog Robot from comment #11)
> bill%wg9s.com
> REFTEST TEST-UNEXPECTED-FAIL |

These two 'TEST-UNEXPECTED-FAIL' are not this bug.

***

(In reply to Phil Ringnalda (:philor) from comment #12)
> You can't be having an unexpected-pass anymore, since it's no longer
> fails-if(winWidget).

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1320872427.1320878140.4178.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test reftest on 2011/11/09 13:00:27
{
REFTEST TEST-PASS | file:///e:/builds/slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
}

V.Fixed, by bug 649924:
http://hg.mozilla.org/mozilla-central/rev/cd7a7ad30fca

Note You need to log in before you can comment on or make changes to this bug.